imap_fetchbody
imap_fetchmime
IMAP Functions
PHP Manual

# imap_fetchheader

Returns header for a message

### Description

string imap_fetchheader ( resource `$imap_stream` , int `$msg_number` [, int `$options` = 0 ] )

This function causes a fetch of the complete, unfiltered » RFC2822 format header of the specified message.

### Parameters

`imap_stream`

  An IMAP stream returned by imap_open.

`msg_number`

  The message number

`options`

  The possible `options` are:

  - `FT_UID` - The `msgno` argument is a UID
  - `FT_INTERNAL` - The return string is in "internal" format, without any attempt to canonicalize to CRLF newlines
  - `FT_PREFETCHTEXT` - The RFC822.TEXT should be pre-fetched at the same time. This avoids an extra RTT on an IMAP connection if a full message text is desired (e.g. in a "save to local file" operation)

### Return Values

Returns the header of the specified message as a text string.

### See Also

- imap_fetch_overview